ONVIF::Media::Types::FocusOptions20(3)

NAME
ONVIF::Media::Types::FocusOptions20

DESCRIPTION
Perl data type class for the XML Schema defined complexType FocusOptions20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AutoFocusModes

•   DefaultSpeed

•   NearLimit

•   FarLimit

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::FocusOptions20
   AutoFocusModes => $some_value, # AutoFocusMode
   DefaultSpeed =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   NearLimit =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   FarLimit =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Extension =>  { # ONVIF::Media::Types::FocusOptions20Extension
   },
 },

AUTHOR
Generated by SOAP::WSDL